ZPOOL-REMOVE(8)

NAME
zpool-remove - remove devices from ZFS storage pool

SYNOPSIS
zpool remove [-npw] pool device…
zpool remove -s pool

DESCRIPTION

    zpool remove [-npw] pool device… Removes the specified device from the pool. This command supports removing hot spare, cache, log, and both mirrored and non-redundant primary top-level vdevs, including dedup and special vdevs.

    Top-level vdevs can only be removed if the primary pool storage does not contain a top-level raidz vdev, all top-level vdevs have the same sector size, and the keys for all encrypted datasets are loaded.

    Removing a top-level vdev reduces the total amount of space in the storage pool. The specified device will be evacuated by copying all allocated space from it to the other devices in the pool. In this case, the zpool remove command initiates the removal and returns, while the evacuation continues in the background. The removal progress can be monitored with zpool status. If an IO error is encountered during the removal process it will be cancelled. The device_removal feature flag must be enabled to remove a top-level vdev, see zpool-features(7).

    A mirrored top-level device (log or data) can be removed by specifying the top-level mirror for the same. Non-log devices or data devices that are part of a mirrored configuration can be removed using the zpool detach command.

    -n  Do not actually perform the removal ("No-op"). Instead, print the estimated amount of memory that will be used by the mapping table after the removal completes. This is nonzero only for top-level vdevs.

    -p  Used in conjunction with the -n flag, displays numbers as parsable (exact) values.

    -w  Waits until the removal has completed before returning.

    zpool remove -s pool Stops and cancels an in-progress removal of a top-level vdev.

SEE ALSO
zpool-add(8), zpool-detach(8), zpool-labelclear(8), zpool-offline(8), zpool-replace(8), zpool-split(8)